#### D.15.7.1 graalMixed

Procedure from library `graal.lib` (see graal_lib).

Usage:
  graalMixed(L,t); L ideal, t int (optional)

Return:
  graalBearer with all the necessary structures for our machinery if t specified and t>0, puts an upper time limit
  on finding a necessary transformation to map an intermediate ideal into general position.

Note:
  assumes that the current basering is a domain and that L is a prime ideal.

Example:

    LIB "graal.lib";
    // see [Mora] Example 6.5
    ring Q = 0,(x,y,z),dp;
    ideal H = y2-xz;
    qring A = std(H);
    ideal L = x3-yz,x2y-z2;
    graalBearer Gr = graalMixed(L); Gr;
    ==> affine coordinate ring:
    ==>    (0),(x,y,z),(dp(3),C)
    ==>      mod <y2-xz>
    ==>
    ==> ideal defining the subvariety:
    ==>    <x3-yz,x2y-z2>
    ==>
    ==> Al:
    ==>    (0,z),(Y(1),Y(2),x,y),(ds(2),c,dp(2))
    ==>      mod <x^3+(-z)*y-Y(1),x^2*y+(-z^2)-Y(2),y^2+(-z)*x,(z)*Y(1)-Y(2)*y>
    ==> graal:
    ==>    (0,z),(Y(1),Y(2),y),(c,dp(2),lp(1))
    ==>      mod <(z)*Y(1)-Y(2)*y,y^5+(-z^4)>
    ==>    where
    ==>      Y(1) represents generator x3-yz
    ==>      Y(2) represents generator x2y-z2
    ==>    and x,y in Al are mapped to 1/(z)*y^2,y in Graal
    ==>

User manual for Singular version 4-0-3, 2016, generated by texi2html.